import 'package:flutter/material.dart' hide Overlay, OverlayEntry, OverlayState;
import 'package:flutter_waya/src/widget/custom/overlay/OverlayEntry.dart';

//LinkedHashMap<OverlayBase, BuildContext> baseContext = LinkedHashMap();

OverlayState overlayState;

class OverlayBase extends StatelessWidget {
  final Widget child;
  final TextDirection textDirection;

  OverlayBase({Key key, this.child, TextDirection textDirection})
      : this.textDirection = textDirection ?? TextDirection.ltr,
        super(key: key);

  @override
  Widget build(BuildContext context) {
//    baseContext[this] = context;
    return Directionality(
      textDirection: textDirection,
      child: Overlay(
        initialEntries: [
          OverlayEntry(builder: (ctx) {
            overlayState = Overlay.of(ctx);
            return child;
          })
        ],
      ),
    );
  }
}
